Skip to main content
GET
/
advertisers
/
{advertiserId}
/
test-cohorts
/
{cohortId}
Get test cohort
curl --request GET \
  --url https://api.agentic.scope3.com/api/v2/buyer/advertisers/{advertiserId}/test-cohorts/{cohortId} \
  --header 'Authorization: Bearer <token>'
{
  "cohort": {
    "id": "cohort_abc123",
    "advertiserId": "12345",
    "name": "West Coast Treatment Group",
    "cohortType": "geographic",
    "role": "TREATMENT",
    "definition": {
      "type": "zip_code"
    },
    "isActive": true,
    "createdAt": "2025-01-15T10:30:00Z",
    "updatedAt": "2025-01-20T14:45:00Z",
    "description": "<string>",
    "estimatedSize": 50000
  }
}

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

cohortId
string
required

Unique identifier for the test cohort

Minimum string length: 1
Example:

"cohort_abc123"

Response

Get test cohort

Response containing a single test cohort

cohort
object
required

Test cohort resource representation